[arch-commits] Commit in p7zip/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Belanger eric at archlinux.org
Thu Oct 23 16:23:43 EDT 2008


    Date: Thursday, October 23, 2008 @ 16:23:42
  Author: eric
Revision: 16914

Merged revisions 16888 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/p7zip/trunk

........
  r16888 | hugo | 2008-10-22 21:51:06 -0400 (Wed, 22 Oct 2008) | 1 line
  
  upgpkg: p7zip 4.58-4
........

Modified:
  p7zip/repos/extra-x86_64/	(properties)
  p7zip/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)


Property changes on: p7zip/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /p7zip/trunk:1-12527
   + /p7zip/trunk:1-16913

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-23 20:20:04 UTC (rev 16913)
+++ extra-x86_64/PKGBUILD	2008-10-23 20:23:42 UTC (rev 16914)
@@ -4,7 +4,7 @@
 
 pkgname=p7zip
 pkgver=4.58
-pkgrel=3
+pkgrel=4
 pkgdesc="A command-line port of the 7zip compression utility"
 arch=('i686' 'x86_64')
 license=('GPL')
@@ -26,19 +26,14 @@
   fi
 
   sed -i "s|usr/local|usr|g" makefile
-  sed -i "s|-O1|$CXXFLAGS|g" makefile.machine
 
-  make all3 || return 1
+  make all3 OPTFLAGS="${CXXFLAGS}" || return 1
+  make install DEST_HOME="${pkgdir}/usr" \
+	DEST_MAN="${pkgdir}/usr/share/man" \
+	DEST_SHARE_DOC="http://www.bugaco.com/7zip"
 
-  sed -i "s|DEST_HOME=|DEST_HOME=${pkgdir}/usr # |g" install.sh
-  sed -i 's|${DEST_HOME}/man|${DEST_HOME}/share/man|' install.sh
-
-  sed -i "s|DEST_SHARE_DOC=|DEST_SHARE_DOC=http://www.bugaco.com/7zip # |g" install.sh
-
-  echo "creatind dir"
+  echo "creating dir"
   mkdir -p ${pkgdir}/usr/share/doc/p7zip/DOCS
-
-  ./install.sh 
   install -m555 bin/7z.so ${pkgdir}/usr/lib/p7zip/
 
   sed -i "s|${pkgdir}/usr|/usr|g" ${pkgdir}/usr/bin/7z




More information about the arch-commits mailing list